Package org.apache.batchee.tools.maven

## Class BarMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.batchee.tools.maven.BarMojo

- All Implemented Interfaces:
    `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

      @Mojo(name="bar",
            requiresDependencyResolution=COMPILE_PLUS_RUNTIME,
            defaultPhase=PACKAGE)
      public class BarMojo
      extends org.apache.maven.plugin.AbstractMojo

  create a bar archive using packaging bar and this plugin: <packaging>bar</packaging>

       <plugin>
         <groupId>org.apache.batchee</groupId>
         <artifactId>batchee-maven-plugin</artifactId>
         <version>0.6-SNAPSHOT</version>
         <extensions>true</extensions>
       </plugin>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.apache.maven.artifact.repository.ArtifactRepository` | `localRepo` |
    `protected List<org.apache.maven.artifact.repository.ArtifactRepository>` | `remoteRepos` |
    `protected org.apache.maven.ProjectDependenciesResolver` | `resolver` |
    `protected org.apache.maven.execution.MavenSession` | `session` |

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BarMojo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` |

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localRepo

          @Parameter(defaultValue="${localRepository}")
          protected org.apache.maven.artifact.repository.ArtifactRepository localRepo

    - #### remoteRepos

          @Parameter(defaultValue="${project.remoteArtifactRepositories}")
          protected List<org.apache.maven.artifact.repository.ArtifactRepository> remoteRepos

    - #### resolver

          @Component(role=org.apache.maven.ProjectDependenciesResolver.class)
          protected org.apache.maven.ProjectDependenciesResolver resolver

    - #### session

          @Parameter(defaultValue="${session}",
                     required=true)
          protected org.apache.maven.execution.MavenSession session

  - ### Constructor Detail

    - #### BarMojo

          public BarMojo()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException,
                              org.apache.maven.plugin.MojoFailureException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
        `org.apache.maven.plugin.MojoFailureException`